Package org.silverpeas.mobile.server.services

## Class AbstractAuthenticateService

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.silverpeas.mobile.server.services.AbstractAuthenticateService

- All Implemented Interfaces:
    `com.google.gwt.user.server.rpc.SerializationPolicyProvider`, `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

      public abstract class AbstractAuthenticateService
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `MAINSESSIONCONTROLLER_ATTRIBUT_NAME` |
    `static String` | `USER_ATTRIBUT_NAME` |

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractAuthenticateService()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `checkUserInSession()` |
    `protected StreamingList` | `createStreamingList​(CommandCreateList command, int callNumber, int callSize, String cacheKey)` |
    `protected org.silverpeas.core.web.mvc.controller.MainSessionController` | `getMainSessionController()` |
    `protected static org.silverpeas.kernel.bundle.SettingBundle` | `getSettings()` |
    `protected org.silverpeas.core.admin.user.model.UserDetail` | `getUserInSession()` |
    `protected void` | `setMainsessioncontroller​(String login, String password, String domainId)` |
    `protected void` | `setUserInSession​(org.silverpeas.core.admin.user.model.UserDetail user)` |

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getCodeServerPolicyUrl, getRequestModuleBasePath, getSerializationPolicy, init, loadPolicyFromCodeServer, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USER_ATTRIBUT_NAME

          public static final String USER_ATTRIBUT_NAME

      See Also:
        Constant Field Values

    - #### MAINSESSIONCONTROLLER_ATTRIBUT_NAME

          public static final String MAINSESSIONCONTROLLER_ATTRIBUT_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractAuthenticateService

          public AbstractAuthenticateService()

  - ### Method Detail

    - #### setUserInSession

          protected void setUserInSession​(org.silverpeas.core.admin.user.model.UserDetail user)

    - #### getUserInSession

          protected org.silverpeas.core.admin.user.model.UserDetail getUserInSession()

    - #### checkUserInSession

          protected void checkUserInSession()
                                     throws AuthenticationException

      Throws:
        `AuthenticationException`

    - #### getSettings

          protected static org.silverpeas.kernel.bundle.SettingBundle getSettings()

    - #### setMainsessioncontroller

          protected void setMainsessioncontroller​(String login,
                                                  String password,
                                                  String domainId)
                                           throws org.silverpeas.kernel.SilverpeasException

      Throws:
        `org.silverpeas.kernel.SilverpeasException`

    - #### getMainSessionController

          protected org.silverpeas.core.web.mvc.controller.MainSessionController getMainSessionController()
                                                                                                   throws Exception

      Throws:
        `Exception`

    - #### createStreamingList

          protected StreamingList createStreamingList​(CommandCreateList command,
                                                      int callNumber,
                                                      int callSize,
                                                      String cacheKey)
                                               throws Exception

      Throws:
        `Exception`